﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VelocityAdminShell.CacheOperations
{
    internal class CacheOperation
    {
        #region Properties

        /// <summary>
        /// The operation Name
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// The operation enabled parameters
        /// </summary>
        public List<CacheOperationParameter> EnabledParameters { get; private set; }

        #endregion

        #region Ctor

        /// <summary>
        /// Create a new Cache Operation object
        /// </summary>
        public CacheOperation()
        {
            EnabledParameters = new List<CacheOperationParameter>();
        }

        #endregion
    }
}
